
import br.shmem.*;

public class StringBufferServer {

	public static final void main(String args[]) 
		throws Exception
	{
		java.util.Properties config = new java.util.Properties();
		config.load(new java.io.FileInputStream("client.ini"));
		String url = config.getProperty("url");
		int port = Integer.parseInt(config.getProperty("port"));
		String servername = config.getProperty("server_url");
		int serverport = Integer.parseInt(config.getProperty("server_port"));
		SharedMemory shmem = new SharedMemory(url, port+1);
		shmem.connect(servername, serverport);
		if (args.length > 0) {
			shmem.share(args[0], new StringBuffer(), "StringBufferReference");
		} else {
			System.out.println("You must supply a global name to share");
			System.exit(-1);
		}
	}
}
